

Evaluar la parte del season para el comportamiento de la bolsa

scalping trading




# S&P 500 Time-Series Forecasting
S&amp;P500 Stock Index Movement Forecastor with various Statistical and Machine Learning Models

## Description
The S&P 500 is a stock market index that measures the stock performance of 500 large companies listed on stock exchanges in the United States. It is considered to be one of the best representations of the U.S. stock market.


## Models

- Prophet
<p align="center">
  <img src="https://github.com/snsten/SP500_Time-Series_Forecasting/blob/master/plots/prophet.png">
</p>

Deep Learning Models include RNN variants such as:
- LSTM
<p align="center">
  <img src="https://github.com/snsten/SP500_Time-Series_Forecasting/blob/master/plots/lstm.png">
</p>

- Stacked LSTM
<p align="center">
  <img src="https://github.com/snsten/SP500_Time-Series_Forecasting/blob/master/plots/stack_lstm.png">
</p>

- CNN-LSTM
<p align="center">
  <img src="https://github.com/snsten/SP500_Time-Series_Forecasting/blob/master/plots/cnn_lstm.png">
</p>

## Requirements


- Python 3.6.x
- TensorFlow 2.2.0
- Keras 2.3.1
- Numpy 1.18.5
- Statsmodels 0.10.2
- Matplotlib 3.2.2
